<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Alternative Rank Abundance Fitting Results</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for radfitresult {BiodiversityR}"><tr><td>radfitresult {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Alternative Rank Abundance Fitting Results</h2>


<h3>Description</h3>

<p>
Provides alternative methods of obtaining rank abundance curves than provided by functions <code><a href="../../vegan/html/radfit.html">radfit</a></code>, <code><a href="../../vegan/html/fisherfit.html">fisherfit</a></code> and <code><a href="../../vegan/html/fisherfit.html">prestonfit</a></code> (<STRONG>vegan</STRONG>), although these same functions are called.
</p>


<h3>Usage</h3>

<pre>
radfitresult(x,y="",factor="",level,plotit=T)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Community data frame with sites as rows, species as columns and species abundance as cell values. </td></tr>
<tr valign="top"><td><code>y</code></td>
<td>
Environmental data frame. </td></tr>
<tr valign="top"><td><code>factor</code></td>
<td>
Variable of the environmental data frame that defines subsets to calculate fitted rank-abundance curves for. </td></tr>
<tr valign="top"><td><code>level</code></td>
<td>
Level of the variable to create the subset to calculate fitted rank-abundance curves. </td></tr>
<tr valign="top"><td><code>plotit</code></td>
<td>
Plot the results obtained by <code><a href="../../vegan/html/radfit.html">plot.radfit</a></code> . </td></tr>
</table>

<h3>Details</h3>

<p>
These functions provide some alternative methods of obtaining fitted rank-abundance curves, although functions <code><a href="../../vegan/html/radfit.html">radfit</a></code>, <code><a href="../../vegan/html/fisherfit.html">fisherfit</a></code> and <code><a href="../../vegan/html/fisherfit.html">prestonfit</a></code> (<STRONG>vegan</STRONG>) are called to calculate the actual results.
</p>


<h3>Value</h3>

<p>
The function returns the results from three methods of fitting rank-abundance curves:
</p>
<table summary="R argblock">
<tr valign="top"><td><code>radfit</code></td>
<td>
results of <code><a href="../../vegan/html/radfit.html">radfit</a></code>. </td></tr>
<tr valign="top"><td><code>fisherfit</code></td>
<td>
results of <code><a href="../../vegan/html/fisherfit.html">fisherfit</a></code>. </td></tr>
<tr valign="top"><td><code>prestonfit</code></td>
<td>
results of <code><a href="../../vegan/html/prestonfit.html">prestonfit</a></code>. </td></tr>
</table>
<p>

<br>
Optionally, a plot is provided of the <code><a href="../../vegan/html/radfit.html">radfit</a></code> results by <code><a href="../../vegan/html/radfit.html">plot.radfit</a></code>.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(BCI)
BCIall &lt;- t(as.matrix(colSums(BCI)))
radfitresult(BCIall)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
